<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>XsScrData Struct Reference</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="struct_xs_scr_data-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">XsScrData Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Container for raw sensor measurement data.  
 <a href="struct_xs_scr_data.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a5e2b7a977ee3c02938c02ca6a000e9c7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5e2b7a977ee3c02938c02ca6a000e9c7"></a>
<a class="el" href="struct_xs_u_short_vector.html">XsUShortVector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_scr_data.html#a5e2b7a977ee3c02938c02ca6a000e9c7">m_acc</a></td></tr>
<tr class="memdesc:a5e2b7a977ee3c02938c02ca6a000e9c7"><td class="mdescLeft">&#160;</td><td class="mdescRight">The raw accelerometer data. <br /></td></tr>
<tr class="separator:a5e2b7a977ee3c02938c02ca6a000e9c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa366f99f2abb029920072ef2e339e2b2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa366f99f2abb029920072ef2e339e2b2"></a>
<a class="el" href="struct_xs_u_short_vector.html">XsUShortVector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_scr_data.html#aa366f99f2abb029920072ef2e339e2b2">m_gyr</a></td></tr>
<tr class="memdesc:aa366f99f2abb029920072ef2e339e2b2"><td class="mdescLeft">&#160;</td><td class="mdescRight">The raw gyroscope data. <br /></td></tr>
<tr class="separator:aa366f99f2abb029920072ef2e339e2b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55f4d7ca3ca7d061f2f0f3d5b9fb7576"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a55f4d7ca3ca7d061f2f0f3d5b9fb7576"></a>
<a class="el" href="struct_xs_u_short_vector.html">XsUShortVector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_scr_data.html#a55f4d7ca3ca7d061f2f0f3d5b9fb7576">m_mag</a></td></tr>
<tr class="memdesc:a55f4d7ca3ca7d061f2f0f3d5b9fb7576"><td class="mdescLeft">&#160;</td><td class="mdescRight">The raw magnetometer data. <br /></td></tr>
<tr class="separator:a55f4d7ca3ca7d061f2f0f3d5b9fb7576"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4042ba888514238ee462033cebfdb122"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4042ba888514238ee462033cebfdb122"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_scr_data.html#a4042ba888514238ee462033cebfdb122">m_temp</a></td></tr>
<tr class="memdesc:a4042ba888514238ee462033cebfdb122"><td class="mdescLeft">&#160;</td><td class="mdescRight">The temperature data. <br /></td></tr>
<tr class="separator:a4042ba888514238ee462033cebfdb122"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Container for raw sensor measurement data. </p>
<p>This structure contains raw measurement data from the sensors on the device. This data is unscaled, the bias has not been subtracted and no error correction has been applied. </p>
</div></div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Thu Jun 29 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
